package ru.dbotthepony.kstarbound.network.packets.clientbound

import ru.dbotthepony.kstarbound.client.ClientConnection
import ru.dbotthepony.kstarbound.defs.item.ItemDescriptor
import ru.dbotthepony.kstarbound.network.IClientPacket
import java.io.DataInputStream
import java.io.DataOutputStream

class GiveItemPacket(val descriptor: ItemDescriptor) : IClientPacket {
	constructor(stream: DataInputStream, isLegacy: Boolean) : this(ItemDescriptor(stream))

	override fun write(stream: DataOutputStream, isLegacy: Boolean) {
		descriptor.write(stream)
	}

	override fun play(connection: ClientConnection) {
		TODO("Not yet implemented")
	}
}
